
package com.netwisd.biz.demo.service;

import com.netwisd.base.wf.starter.service.WfService;
import com.netwisd.biz.demo.entity.PurchaseDetail;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.netwisd.biz.demo.dto.PurchaseDetailDto;
import com.netwisd.biz.demo.vo.PurchaseDetailVo;
import com.netwisd.biz.demo.dto.PurchaseDto;
import java.util.List;

/**
 * @Description 采购申请单详情
 * @author incoder@netwisd.com
 * @date 2024-04-30 16:24:48
 */
public interface PurchaseDetailService extends WfService<PurchaseDetail, PurchaseDetailDto , PurchaseDetailVo> {
    void saveByParent(PurchaseDto PurchaseDto);
    void updateByParent(PurchaseDto PurchaseDto);
    Boolean deleteByFkId(Long id);
    List<PurchaseDetailVo> getByFkIdVo(Long id);
}
